import styles from "./wrapping_objects.module.css"

export function NavBar(){
    return(
        <nav className={styles.navMenu}>
            <ul className={styles.grid}>
                <li className={styles.navElem}>
                    <div className={styles.logoWtxt}>
                        <a className={[styles.pad3px, styles.textBx].join(" ")} href={"/"} target={"_self"}><img className={`${styles.logo} ${styles.pad3px}`}src={"https://static.moonleay.net/img/lilJuddWeb/logos/logox256.png"}alt={"The Bots Logo"}/>li'l Judd</a>
                    </div>
                </li>
                <li className={styles.navElem}>
                    <a className={styles.navLink} href={"/features"} target={"_self"}>Features</a>
                </li>
                <li className={styles.navElem}>
                    <a className={styles.navLink} href={"/how-do-i"} target={"_self"}>How do I...?</a>
                </li>
                <li className={styles.navElem}>
                    <a className={styles.navLink} href={"/stack"} target={"_self"}>The Stack</a>
                </li>
                <li className={styles.navElem}>
                    <a className={styles.navLink} href={"/about"} target={"_self"}>About</a>
                </li>
                <li className={styles.navElemR}>
                    <a className={styles.navLink} href={"https://discord.com/api/oauth2/authorize?client_id=1024410658973941862&permissions=8&scope=bot"}
                       target={"_blank"}>Invite to your server</a>
                </li>
            </ul>
        </nav>
    )
}

export function Footer() {
    return (
        <>
            <footer className={styles.footer}>
                <div className={styles.footerIcon}>
                    <img className={styles.footerImage} src={"https://static.moonleay.net/img/lilJuddWeb/lilJudd.png"}
                         alt={"A cute Image of lil Judd <3"}/>
                    <p>li'l Judd</p>
                    <p className={styles.footerImageNote}>Your competitive Splatoon assistant.</p>
                </div>
                <div className={styles.footerTable}>
                    <div>
                        <h3 className={styles.fong}>Navigation</h3>
                        <div className={styles.footerLinks}>
                            <a href={"/"} target={"_self"}>Home</a>
                            <a href={"/features"} target={"_self"}>Features</a>
                            <a href={"/how-do-i"} target={"_self"}>How do I...?</a>
                            <a href={"/stack"} target={"_self"}>The Stack</a>
                            <a href={"/about"} target={"_self"}>About</a>
                        </div>
                    </div>
                    <div>
                        <h3 className={styles.fong}>The Software</h3>
                        <div className={styles.footerLinks}>
                            <a href={"https://git.moonleay.net/DiscordBots/lilJudd"} target={"_blank"}>The Bot Code</a>
                            <a href={"https://git.moonleay.net/Websites/liljudd-website"} target={"_blank"}>The Website
                                Code</a>
                            <a href={"/acknowledgements"} target={"_self"}>Acknowledgements</a>
                        </div>
                    </div>
                    <div>
                        <h3 className={styles.fong}>More</h3>
                        <div className={styles.footerLinks}>
                            <a href={"https://moonleay.net/"} target={"_self"}>My homepage</a>
                            <a href={"https://moonleay.net/blog/"} target={"_blank"}>My blog</a>
                            <a href={"/contact"} target={"_self"}>Contact me</a>
                            <a href={"https://up.moonleay.net/"} target={"_blank"}>Uptime Status</a>
                        </div>
                    </div>
                    <div>
                        <h3 className={styles.fong}>Legal</h3>
                        <div className={styles.footerLinks}>
                            <a href={"/imprint"} target={"_self"}>Imprint</a>
                            <a href={"/privacy-policy"} target={"_self"}>Privacy Policy</a>
                            <a href={"/terms-of-service"} target={"_self"}>Terms of Service</a>
                            <a href={"https://git.moonleay.net/DiscordBots/lilJudd/src/branch/master/LICENSE"}
                               target={"_blank"}>The license</a>
                        </div>
                    </div>
                </div>
                <Notice/>
            </footer>
        </>
    )
}

export function Notice() {
    return (
        <div className={styles.footerNotice}>
            <p>This website is NOT affiliated with Nintendo or any other party. All product names, logos, and brands are property of their respective owners.</p>
            <p>li'l Judd &copy; 2023 <a href={"https://moonleay.net/"} target={"_blank"}>moonleay</a></p>
        </div>
    )
}
